Glue API: Retrieve service point addresses
Edit on GitHub
This page describes the API endpoint contract, which is the same regardless of the serving infrastructure. Storefront API endpoints are served by API Platform (recommended) or the legacy Glue infrastructure; Backend API endpoints currently run on the Glue infrastructure.
This endpoint lets you retrieve service point addresses.
Installation
Install the Service Points feature
Retrieve service point addresses
GET /service-points/{{service-point-uuid}}/service-point-addresses
| PATH PARAMETER | DESCRIPTION |
|---|---|
| {{service-point-uuid}} | ID of a service point to retrieve the addresses of. To get it, retrieve service points. |
Request
| HEADER KEY | HEADER VALUE | REQUIRED | DESCRIPTION |
|---|---|---|---|
| Authorization | string | ✓ | Alphanumeric string that authorizes the warehouse user to send requests to protected resources. Get it by authenticating as a warehouse user. |
Request sample: GET https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e/service-point-addresses
Response
Response sample:
{
"data": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"attributes": {
"uuid": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"regionUuid": null,
"countryIso2Code": "DE",
"address1": "Caroline-Michaelis-Straße",
"address2": "8",
"address3": null,
"city": "Berlin",
"zipCode": "10115"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e/service-point-addresses/74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
}
],
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e/service-point-addresses"
}
}
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| service-point-addresses | uuid | String | Unique identifier of the service point address. |
| service-point-addresses | countryIso2Code | String | ISO-2 country code. |
| service-point-addresses | address1 | String | Address line 1. |
| service-point-addresses | address2 | String | Address line 2. |
| service-point-addresses | address3 | String | Address line 3. |
| service-point-addresses | city | String | City. |
| service-point-addresses | zipCode | String | Zip code. |
Retrieve a service point address
GET /service-points/{{service-point-uuid}}/service-point-addresses/{{service-point-address-uuid}}
| PATH PARAMETER | DESCRIPTION |
|---|---|
| {{service-point-uuid}} | ID of a service point to retrieve the address of. To get it, retrieve service points. |
| {{service-point-address-uuid}} | ID of a service point address to retrieve. To get it using the Storefront API, retrieve service points with the service-point-addresses resource included. To get it using the backend API, see retrieve service point addresses. |
Request
Request sample: GET https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e/service-point-addresses/74768ee9-e7dd-5e3c-bafd-b654e7946c54
Response
Response sample:
{
"data": {
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"attributes": {
"countryIso2Code": "DE",
"address1": "Caroline-Michaelis-Straße",
"address2": "8",
"address3": null,
"zipCode": "10115",
"city": "Berlin"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e/service-point-addresses/74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
}
}
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| service-point-addresses | uuid | String | Unique identifier of the service point address. |
| service-point-addresses | countryIso2Code | String | ISO-2 country code. |
| service-point-addresses | address1 | String | Address line 1. |
| service-point-addresses | address2 | String | Address line 2. |
| service-point-addresses | address3 | String | Address line 3. |
| service-point-addresses | city | String | City. |
| service-point-addresses | zipCode | String | Zip code. |
Possible errors
| CODE | REASON |
|---|---|
| 5403 | The service point with the specified ID doesn’t exist. |
To view generic errors that originate from the Glue Application, see Reference information: GlueApplication errors.
Thank you!
For submitting the form